> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/get-quote.md).

# Get Quote

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/GetQuote`

#### <mark style="color:red;">**Note:**</mark> *Broker rate limits apply when using this API. Continuous access may result in the source being blocked.*

\
**QUERY PARAMETERS**

| Request Parameter | Description | Mandatory |
| ----------------- | ----------- | --------- |
| broker            | Broker code | Yes       |
| symbol            | Symbol      | Yes       |
| exchange          | Exchange    | Yes       |

{% code title="# Here is a curl example" %}

```
-X POST https://amapi.algomojo.com/v1/GetQuote
```

{% endcode %}

{% code title="Request example :" %}

```
{
"api_key":"your_api_key",
"api_secret":"your_api_secret",
"data":
{
 "broker":"fs",
 "symbol":"YESBANK",
 "exchange":"NSE"
}
}
```

{% endcode %}

{% code title="Response example:" %}

```
{
"status": "success",
"data": {
 "symbol_name": "YESBANK",
 "trading_symbl": "YESBANK-EQ",
 "company_name": "YES BANK LIMITED",
 "last_trade_time": "06/01/2022 15:59:58",
 "last_price": 14.25,
 "change": 00.00,
 "change_per": 00.00,
 "last_quantity": 4,
 "buy_quantity": 4,
 "sell_quantity": 303792,
 "volume": 125481711,
 "average_price": 14.26,
 "open": 14.25,
 "high": 14.45,
 "low": 14.10,
 "close": 14.25,
 "tick_size": 5,
 "multiplier": 1,
 "lot_size": 1,
 "decimalprecision": 2,
 "yearly_low_price": 10.50,
 "yearly_high_price": 18.60,
 "exchange": "NSE",
 "token": "11915"
}
}
```

{% endcode %}

{% hint style="danger" %}
*<mark style="color:red;">**Note:**</mark>**&#x20;\*\*\*\*Broker rate limits apply when using this API. Continuous access may result in the source being blocked.***
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.algomojo.com/algomojo/api/v1/get-quote.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
